/*
  atomixer -- Atomix puzzle solver
  Copyright (C) 2000 Falk Hueffner

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place, Suite 330, Boston, MA 02111-1307 USA

  $Id: AStar2.hh,v 1.7 2001/03/25 07:06:43 falk Exp $
*/

#ifndef ASTAR2_HH
#define ASTAR2_HH

#include <deque>

class State;

#include "Move.hh"

std::deque<Move> aStar2(const State& start, int maxDist);

#define ALGORITHM_NAME "astar"

#endif
