/*
  atomixer -- Atomix puzzle solver
  Copyright (C) 2000 Falk Hueffner

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.
  
  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
  more details.
  
  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place, Suite 330, Boston, MA 02111-1307 USA

  $Id: Dir.cc,v 1.1 2000/11/19 15:15:13 falk Exp $
*/

#include <iostream>

#include "Dir.hh"

using namespace std;

ostream& operator <<(ostream& out, Dir dir) {
    switch(dir) {
    case UP:
	return out << 'u';
    case DOWN:
	return out << 'd';
    case LEFT:
	return out << 'l';
    case RIGHT:
	return out << 'r';
    default:
	return out << '?';
    }
}
